org.richfaces

## Enum ServletVersion

- java.lang.Object
- - java.lang.Enum<ServletVersion>
  - - org.richfaces.ServletVersion

- All Implemented Interfaces:
    Serializable, Comparable<ServletVersion>

      public enum ServletVersion
      extends Enum<ServletVersion>

  This enumeration encapsulates a Servlet version used in current context (VM/classloader)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SERVLET_2_5`
    `SERVLET_3_0`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServletVersion` | `getCurrent()` Detects current Servlet API version in use in a context of current VM/classloader.
    `boolean` | `isCompliantWith(ServletVersion version)` Checks whether this version of Servlet is compliant with the provided version.
    `static ServletVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServletVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVLET_2_5

          public static final ServletVersion SERVLET_2_5

    - #### SERVLET_3_0

          public static final ServletVersion SERVLET_3_0

  - ### Method Detail

    - #### values

          public static ServletVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServletVersion c : ServletVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServletVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCurrent

          public static ServletVersion getCurrent()

      Detects current Servlet API version in use in a context of current VM/classloader.
      See Also:
        `for more details how it is detected.`

    - #### isCompliantWith

          public boolean isCompliantWith(ServletVersion version)

      Checks whether this version of Servlet is compliant with the provided version.
      Parameters:
        `version` - a version to check compatibility of this version with
      Returns:
        true when this version of JSF is compliant with the provided version; false otherwise.

Copyright © 2014 JBoss by Red Hat. All rights reserved.